unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TBarSeries;
    lbxXValues: TListBox;
    lbxCalcXPos: TListBox;
    procedure Chart1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
    procedure ChartBottomAxisDrawLabel(Sender:TChartAxis; var X,Y,Z:Integer; var Text:String; var DrawLabel:Boolean);

  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TForm1 }

constructor TForm1.Create(aOwner: TComponent);
begin
  inherited;
  Series1.FillSampleValues(5);
  Chart1.BottomAxis.OnDrawLabel := ChartBottomAxisDrawLabel

end;

procedure TForm1.Chart1MouseMove(Sender: TObject; Shift: TShiftState; X, Y:
    Integer);
begin
  Caption := Format('Mouse Pos (X, Y): %d, %d', [X, Y]);
end;


procedure TForm1.ChartBottomAxisDrawLabel(Sender: TChartAxis; var X, Y,
  Z: Integer; var Text: String; var DrawLabel: Boolean);
var
  I: Integer;
  lValue: Integer;
begin
  lValue := StrToIntDef(Text, -1);
  if lValue < 0 then
  begin
    lbxXValues.Items.Clear;
    lbxCalcXPos.Items.Clear;
    for I := 0 to Series1.Count - 1 do
      lbxCalcXPos.Items.Add(Format('X Pos for %d: %d', [I, Series1.CalcXPos(I)]));
      
  end
  else
    lbxXValues.Items.Add(Text + ': ' + IntToStr(X));
end;


end.
